> For the complete documentation index, see [llms.txt](https://docs.unwaste.energy/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unwaste.energy/dzialanie-unwaste-robot/technical-details/self-use-calculation.md).

# Obliczanie autokonsumpcji

Zrozum, jak Unwaste oblicza oszczędności wynikające z bezpośredniego wykorzystania energii słonecznej.

### Dlaczego sumy dzienne są mylące

Jeśli obliczasz zużycie własne, używając wyłącznie dziennych sum, możesz dojść do błędnych wniosków.

Przykład (jeden dzień):

* Łącznie wyprodukowano: 10 kWh (głównie w ciągu dnia)
* Łącznie zużyto: 22 kWh (głównie wieczorem/nocą)
* Zużyto w ciągu dnia: 2 kWh

Jeśli założysz, że cała produkcja może zostać „zużyta”, możesz błędnie dojść do wniosku:

* Energia zużyta na własne potrzeby = 10 kWh

Ale w rzeczywistości liczy się tylko nakładanie się w czasie:

* energia zużyta na własne potrzeby powinna być bliska 2 kWh (chyba że magazyn energii przesunął energię).

### Metoda 15-minutowych bloków

Aby uniknąć tego błędu, Unwaste oblicza zużycie własne w 15-minutowych blokach:

Dla każdego 15-minutowego interwału:

* `self_used_interval = min(produced_interval, used_interval)`

Następnie:

* `Self Used = suma(self_used_interval ze wszystkich interwałów)`
* `Zużycie własne (%) = Self Used / Produced`
* `Samowystarczalność (%) = Self Used / Used`

Ta metoda zapewnia:

* zużycie własne odzwierciedla rzeczywiste nakładanie się w czasie,
* a efekty magazynowania mogą być uwzględnione poprzez zachowanie związane z magazynowaniem i pobieraniem.

**Uwaga:**\nTo jest celowy wybór projektowy, aby wyniki pozostały realistyczne dla typowych wzorców gospodarstw domowych i Mała firma.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.unwaste.energy/dzialanie-unwaste-robot/technical-details/self-use-calculation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
